import { setCamera } from "./setCameraApi";
import * as THREE from "three";

let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const getCamera = async (organization: string, userId: string,projectId?:string) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/cameras/${projectId}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>",  // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "",  // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );

    // console.log('response: ', response);
    // if (!response.ok) {
    //   throw new Error("Failed to get Camera position and target");
    // }

    const result = await response.json();
    // console.log('result: ', result);
    if (result === "user not found") {
      return null;
    } else {
      return result;
    }
  } catch (error) {
    echo.error("Failed to get camera");
    if (error instanceof Error) {
      throw new Error(error.message);
    } else {
      throw new Error("An unknown error occurred");
    }
  }
};
